(document:surround "/std/frame")
(document:insert "/std/functions")

(po-domain "alterator-standalone")

(define *desktop-file* (global 'desktop-file))

;; UI
width 600
height 560


(frame:page
   (gridbox columns "20;60;20"
   (spacer)
   (label text (format #f (_ "Module '~A' not found") *desktop-file*) align "center")
   (spacer)
   (spacer)
   (label)
   (spacer)
   (spacer)
   (button name "exit" text (_ "Exit") align "center" (when clicked (quit)))
   (spacer)
   ))

(label (string-append "<small>" (_ "Press F1 for help") "</small>"))

;; Logic

(document:root
  (when loaded
    (and-let* (((not-empty-string? *desktop-file*))
	       (item (woo-read-first "/menu" 'desktopfile *desktop-file* 'ui "qt"))
	       (item-uri (woo-get-option item 'uri #f))
	       (item-name (woo-get-option item 'name #f))
	       (item-help (woo-get-option item 'help #f))
	       (help-path (woo-get-option (woo-read-first "/help/" 'topic item-help) 'url)))
	      (document:root help help-path
			     title item-name)
	      (frame:replace item-uri))))
